/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.cq.app.internal.MainApplication");

dojo.require("com.ibm.rational.report.web.core.app.internal.MainApplication");
dojo.require("com.ibm.rational.report.web.cq.app.internal.Navbar");
dojo.require("com.ibm.rational.report.web.cq.app.internal.Footer");

var APPLICATION_NAME = "Rational ClearQuest Reporting";

/**
 * Displays the Reports perspective and artifacts associated with a project area.
 */
dojo.declare(
	"com.ibm.rational.report.web.cq.app.internal.MainApplication",
	com.ibm.rational.report.web.core.app.internal.MainApplication, {
	
	init: function() {
		document.title = APPLICATION_NAME;
		com.ibm.rational.report.web.cq.app.internal.MainApplication.superclass.init.apply(this);
	},
	
	handleInvalidProjectArea: function(pathname, projectAreas) {
		if (projectAreas.length > 0 && typeof projectAreas[0].name != "undefined") {
			// if there is a valid project area, redirect to the default project area			
			var projectArea = dojo.setObject("com.ibm.team.process.web.projectArea", {});
			projectArea.name = projectAreas[0].name;
			projectArea.itemId = projectAreas[0].itemId;
			return projectArea;
		}
		else {
			return null;
		}		
	},	
	
	getHTMLTitle: function(args) {
		return APPLICATION_NAME;
	},
	
	getNavbarWidget: function(args) {
		return new com.ibm.rational.report.web.cq.app.internal.Navbar(args);
	},
		
	getFooterWidget: function(args) {
		return new com.ibm.rational.report.web.cq.app.internal.Footer(args);
	}
	
});

})();
